;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; aldor-append.el - Example `.emacs' configuration to use 
;;                   Aldor mode for Emacs (version 21 or better)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; This file gives example forms to append to your `.emacs' in order
;; to use Aldor mode. 


;; REPLACE <directory to aldor.el> in the following with the directory
;; where aldor.el is found.

(setq load-path (append '( "<directory to aldor.el>" ) load-path ))


;; Append the following lines to your `.emacs' in order to have
;; Aldor-mode load upon visiting an Aldor source file (.as suffix).

(set-default 'auto-mode-alist
             (append '(("\\.as$" . aldor-mode))
                     auto-mode-alist))
(autoload 'aldor-mode "aldor" "Major mode for Aldor programs," t)


;; Append the following line to your `.emacs' if you wish to have
;; Aldor-mode syntax highlighting turned on. 

(add-hook 'aldor-mode-hook 'turn-on-font-lock)

